<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class DropTableFromFurniture extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('admin_users', function (Blueprint $table) {
            $table->integer('store_id')->nullable()->default(1)->comment('站点ID');
        });

        Schema::drop('app_account');
        Schema::drop('app_info');
        Schema::drop('app_testers');
        Schema::drop('base_videos');
        Schema::drop('card_banner');
        Schema::drop('card_setting');
        Schema::drop('card_user_honor');
        Schema::drop('card_user_info');
        Schema::drop('card_user_progress');
        Schema::drop('card_user_project');
        Schema::drop('card_user_trend');
        Schema::drop('cp_company_info');
        Schema::drop('crm_leads');
        Schema::drop('menu_info');
        Schema::drop('news_category');
        Schema::drop('s1_cart_info');
        Schema::drop('s1_cate_attr');
        Schema::drop('s1_comment_info');
        Schema::drop('s1_goods_cate');
        Schema::drop('s1_goods_images');
        Schema::drop('s1_goods_info');
        Schema::drop('s1_order_goods');
        Schema::drop('s1_order_info');
        Schema::drop('s1_order_refund');
        Schema::drop('s1_user_favorite');
        Schema::drop('sw_agent_cost_price');
        Schema::drop('sw_agent_info');
        Schema::drop('sw_agent_recharge');
        Schema::drop('sw_article_info');
        Schema::drop('sw_case_categories');
        Schema::drop('sw_case_category_relations');
        Schema::drop('sw_cases_agent_hidden');
        Schema::drop('sw_cases_category');
        Schema::drop('sw_cases_info');
        Schema::drop('sw_code_info');
        Schema::drop('sw_coupon_info');
        Schema::drop('sw_designer_info');
        Schema::drop('sw_help_category');
        Schema::drop('sw_help_info');
        Schema::drop('sw_order_info');
        Schema::drop('template_agent_hidden');
        Schema::drop('template_category');
        Schema::drop('template_category_relation');
        Schema::drop('template_info');
        Schema::drop('template_price');
        Schema::drop('user_access');
        Schema::drop('user_address');
        Schema::drop('user_app');
        Schema::drop('user_coupon');
        Schema::drop('user_info');
        Schema::drop('user_roles');
        Schema::drop('user_template');
        Schema::drop('wx_article_category');
        Schema::drop('wx_article_info');
        Schema::drop('wx_coupon_info');
        Schema::drop('wx_level_info');
        Schema::drop('wx_user_address');
        Schema::drop('wx_user_coupon');
        Schema::drop('wx_user_info');
        Schema::drop('xcx_sets');
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('admin_users',function (Blueprint $table)
        {
            //
        });
    }
}
